#
# spec file for package wtmpdb
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define lname   libnsl-stub1
Name:           libnsl1-stub
VCS: https://src.suse.de/SLFO-pool/libnsl1-stub#d3098ac47d24965a65439258ff91e12856930472cbce8d40a97deb4e60814a3d
Version:        1.0.0+git20250306.acc3204
Release:        160000.1.2
Summary:        Dummy libnsl.so.1 library
License:        LGPL-2.1-or-later
URL:            https://github.com/thkukuk/libnsl1-stub
Source:         %{name}-%{version}.tar.xz
BuildRequires:  meson
ExclusiveArch:  x86_64

%description
This is a stub libnsl.so.1 library to make this binary applications
happy, where the ISV linked against libnsl.so because this was needed
30 years ago on SunOS and they never adjusted their build scripts for
Linux.
All NIS (YP) functions are stubs and just reporting an error.

%package -n %{lname}
Summary:        Dummy libnsl.so.1 library
Version:        2.999

%description -n %{lname}
This is a stub libnsl.so.1 library to make this binary applications
happy, where the ISV linked against libnsl.so because this was needed
30 years ago on SunOS and they never adjusted their build scripts for
Linux.
All NIS (YP) functions are stubs and just reporting an error.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
mv %{buildroot}%{_libdir}/libnsl.so.1.0.0 %{buildroot}%{_libdir}/libnsl-stub.so.1.0.0
/usr/sbin/ldconfig -l -n %{buildroot}%{_libdir}/libnsl-stub.so.1.0.0
rm %{buildroot}%{_libdir}/libnsl.so

%post   -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%license COPYING.LIB
%{_libdir}/libnsl-stub.so.1.0.0
%{_libdir}/libnsl.so.1

%changelog
* Tue Mar 11 2025 kukuk@suse.com
- Rename libnsl.so.1.0.0 to libnsl-stub.so.1.0.0, but keep soname
- Workaround for [bsc#1236235]
* Thu Mar  6 2025 kukuk@suse.com
- Initial version
